What flashcards work with the DSI XL?

Discussion in 'NDS - Flashcarts and Accessories' started by captainnorth, Feb 8, 2010.

Feb 8, 2010
  1. captainnorth
    OP

    Newcomer captainnorth Newbie

    Joined:
    Aug 6, 2007
    Messages:
    4
    Country:
    United Kingdom
    What flashcards work with the DSI XL?

    Does anyone know if flashcards for the DSI will work with the DSI XL?

    Thanks!
     
  2. ProtoKun7

    Global Moderator ProtoKun7 GBAtemp Time Lord Regenerations: 3

    Joined:
    Jan 3, 2009
    Messages:
    7,481
    Location:
    Gallifrey
    Country:
    United Kingdom
    As far as I know they all do. I'd heard Nintendo were planning more security but that doesn't seem to be the case, so if it works on the DSi, it should be fine on an XL (for now [​IMG])
     
  3. prowler

    Member prowler Sony

    Joined:
    Jul 14, 2009
    Messages:
    9,473
    Location:
    Ragol
    Country:
    United Kingdom
    If you get a flashcard thats not updated to use 4.1 (? I forgot the DSi update number), you need to update it with a NDSL to work with it (Or update it via USB (if the flashcard can update with a USB)).
     
  4. ProtoKun7

    Global Moderator ProtoKun7 GBAtemp Time Lord Regenerations: 3

    Joined:
    Jan 3, 2009
    Messages:
    7,481
    Location:
    Gallifrey
    Country:
    United Kingdom
    That'd be 1.4...[​IMG]

    OP: In case you wonder why they don't come 1.4 compatible, as it would technically include copyrighted information, they don't ship with it to be on the safe side. [​IMG]
     
  5. Uchiha Obito

    Member Uchiha Obito GBAtemp Fan

    Joined:
    Oct 5, 2007
    Messages:
    408
    Location:
    Portugal
    Country:
    Portugal
    Oh man... I just knew about The DSi XL now :S

    School kept me so busy --'
     
  6. prowler

    Member prowler Sony

    Joined:
    Jul 14, 2009
    Messages:
    9,473
    Location:
    Ragol
    Country:
    United Kingdom
    Lol, I knew I would be wrong [​IMG]
     

Share This Page